Bug 44073 - VTCompressionSession does not handle null sample buffer
Summary: VTCompressionSession does not handle null sample buffer
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: General (show other bugs)
Version: XI 10.0 (iOS10)
Hardware: PC Windows
: Normal major
Target Milestone: 10.0.1 (C8SR0)
Assignee: Sebastien Pouliot
URL:
Depends on:
Blocks:
 
Reported: 2016-09-07 22:40 UTC by Cody Beyer (MSFT)
Modified: 2016-09-19 12:54 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Cody Beyer (MSFT) 2016-09-07 22:40:03 UTC
# Description

According to Apple documentation, VTCompressionSession.NewCompressionCallback() should accept a null value for the sample buffer

https://github.com/xamarin/xamarin-macios/blob/master/src/VideoToolbox/VTCompressionSession.cs#L112

According to the Apple headers, a null value is acceptable

>typedef void (*VTCompressionOutputCallback)(
>void * CM_NULLABLE outputCallbackRefCon,
>void * CM_NULLABLE sourceFrameRefCon,
>OSStatus status,
>VTEncodeInfoFlags infoFlags,
>CM_NULLABLE CMSampleBufferRef sampleBuffer );
Comment 1 Sebastien Pouliot 2016-09-13 15:57:53 UTC
PR (master) https://github.com/xamarin/xamarin-macios/pull/827
Comment 3 Sebastien Pouliot 2016-09-16 17:34:33 UTC
cherry-picked in xcode8 9b29b6c8ed93204ede218f829b752fca49284cbd

cherry-picked in cycle8-sr0-xi 484a4585129b89c02dd292302da835823d4297a6